      program miv
      dimension x(2),a(2),b(2),hes(3),ipar(30),par(30)
      data ipar/0,100,2,100,26*0/,par/100.,3*1.e-6,26*0./,x/-0.1,0.1/
      data n,nh,ipa,ipaa/2,3,0,0/,a/-0.25,-0.125/,b/0.5,0.625/
      call mivar40(x,a,b,n,hes,nh,fm,ipar,par,ipa,ipaa)
      stop
      end
      function fi(x,n)
      dimension x(n)
      fi=furasn(x,n)
      return
      end
